;--- SET ONE VDP REGISTER ---------------------------------------------------
;--- a = new register content   b = register number -------------------------
SET_VDP_REG:
  out ($BF), a
  ld a, b
  out ($BF), a
  ret
;--- SET VDP REGISTERS ------------------------------------------------------
SET_VDP_REGS_TABLE:
  ld hl, VDP_REGS_TABLE
  ld b, $0f
  ld c, $80
VDP_REGS_LOOP:
  ld a, (HL)
  inc hl
  out ($bf), a
  ld a, c
  inc c
  out ($bf), a
  dec b
  jr NZ, VDP_REGS_LOOP  ; Loop until b <> 0
  ret
;--- FUNCTION: SET VDP POINTER ----------------------------------------------
;--- HL = VRAM address ------------------------------------------------------
SET_VDP_POINTER:
  ld a, l
  out ($BF), a
  ld a, h
  out ($BF), a
  ret
